## dajaxice 0.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-dajaxice.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-dajaxice.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-dajaxice"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-dajaxice"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## dajaxice 0.1.0

=== debian/changelog ===
dajaxice (0.1.0-1) unstable; urgency=low

  * New upstream release
  * debian/control: Add Vcs-* fields
  * Update watch file and homepage
  * Now works on python 2.4-
  * Switch to 3.0 (quilt) source format

 -- Angel Abad <angelabad@gmail.com>  Wed, 06 Jan 2010 23:29:10 +0100

dajaxice (0.0.1-1) unstable; urgency=low

  * Initial release (Closes: #561499)

 -- Angel Abad <angelabad@gmail.com>  Fri, 11 Dec 2009 11:56:41 +0100

=== debian/control ===
Source: dajaxice
Section: python 
Priority: optional
Maintainer: Angel Abad <angelabad@gmail.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), python (>= 2.5)
Build-Depends-Indep: python-support (>= 0.5.3)
Standards-Version: 3.8.3
Homepage: http://wiki.github.com/jorgebastida/django-dajaxice
Vcs-Svn: svn://svn.debian.org/python-modules/packages/dajaxice/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/dajaxice/trunk/
DM-Upload-Allowed: yes

Package: python-django-dajaxice
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-django
Description: agnostic and easy to use AJAX library for django
 Easy to use AJAX library for django, all the presentation logic
 resides outside the views and doesn't require any JS Framework.
 Dajaxice uses the unobtrusive standard-compliant (W3C) XMLHttpRequest
 1.0 object.

=== debian/watch ===
version=3
http://github.com/jorgebastida/django-dajaxice/downloads http://cloud.github.com/downloads/jorgebastida/django-dajaxice/django-dajaxice-([0-9.]+).tar.gz

## dajaxice 0.1.5

=== debian/changelog ===
dajaxice (0.1.5-1squeeze1) stable-security; urgency=low

  * debian/patches/fix_csrf_verification: (Closes: #614787)
    - Fix bug related to CSRF verification on Django

 -- Angel Abad <angelabad@gmail.com>  Thu, 24 Feb 2011 09:24:51 +0000

dajaxice (0.1.5-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.0 (no changes).

 -- Angel Abad <angelabad@gmail.com>  Sun, 11 Jul 2010 15:17:30 +0200

dajaxice (0.1.4-1) unstable; urgency=low

  * New upstream release
  * Remove patch remove_zip_safe_for_distutils, now in upstream
  * Remove patch remove_setuptools, now in upstream

 -- Angel Abad <angelabad@gmail.com>  Sun, 11 Apr 2010 12:01:35 +0200

dajaxice (0.1.3-1) unstable; urgency=low

  * New upstream release
  * New patch remove_zip_safe_for_distutils, remove unrecognized
    zip_safe option in setup.py
  * New patch remove_setuptools, remove unnecesary dependency to python-
    setuptools in setup.py
  * debian/control:
    - B-D-I on python-support (>= 0.90) for python 2.6 support
    - B-D on python-all (>=2.4)

 -- Angel Abad <angelabad@gmail.com>  Sun, 04 Apr 2010 02:14:17 +0200

dajaxice (0.1.2-2) unstable; urgency=low

  * debian/control: now B-D on python (>= 2.4)
  * debian/copyright: Update source url

 -- Angel Abad <angelabad@gmail.com>  Mon, 08 Mar 2010 00:43:11 +0100

dajaxice (0.1.2-1) unstable; urgency=low

  * New upstream release
  * debian/watch: now uses githubredir
  * Standards-Version: 3.8.4 (no changes needed)

 -- Angel Abad <angelabad@gmail.com>  Tue, 23 Feb 2010 19:15:22 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Angel Abad <angelabad@gmail.com>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7), python (>= 2.5)
-Build-Depends-Indep: python-support (>= 0.5.3)
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7), python-all (>= 2.4)
+Build-Depends-Indep: python-support (>= 0.90) 
+Standards-Version: 3.9.0
 Homepage: http://wiki.github.com/jorgebastida/django-dajaxice
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/dajaxice/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/dajaxice/trunk/

## dajaxice 0.1.8.1

=== debian/changelog ===
dajaxice (0.1.8.1-1) unstable; urgency=medium

  * New upstream release
    - Fix bug related to CSRF verification on Django 1.2.5

 -- Angel Abad <angelabad@gmail.com>  Tue, 22 Feb 2011 11:28:25 +0100

dajaxice (0.1.8-1) unstable; urgency=low

  * New upstream release
  * Fix typo in previous changelog entry
  * debian/copyright: Update copyright years
  * debian/examples: Add examples directory

 -- Angel Abad <angelabad@gmail.com>  Wed, 09 Feb 2011 12:00:14 +0100

dajaxice (0.1.7-2) unstable; urgency=low

  * Switch to dh_python2
    - debian/control:
      + Remove python-support from B-D-I
      + Bump minimun python-all version to 2.6.6-3
      + Add Breaks: python:Breaks
      + Add X-Python-Version: >= 2.4
    - debian/rules
      + Add --with python2 to rules
    - debian/pyversions: Remove file
  * debian/control: Add versined depend to python-django (>= 1.1.0)
    because in lenny is 1.0.2

 -- Angel Abad <angelabad@gmail.com>  Mon, 07 Feb 2011 14:13:25 +0100

dajaxice (0.1.7-1) unstable; urgency=low

  * New upstream release

 -- Angel Abad <angelabad@gmail.com>  Mon, 17 Jan 2011 03:44:27 +0100

dajaxice (0.1.6-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.1 (no changes)

 -- Angel Abad <angelabad@gmail.com>  Mon, 20 Sep 2010 23:24:09 +0200

=== debian/control ===
Source: dajaxice
Section: python 
Priority: optional
Maintainer: Angel Abad <angelabad@gmail.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3)
Standards-Version: 3.9.1
Homepage: http://wiki.github.com/jorgebastida/django-dajaxice
Vcs-Svn: svn://svn.debian.org/python-modules/packages/dajaxice/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/dajaxice/trunk/
X-Python-Version: >= 2.4
DM-Upload-Allowed: yes

Package: python-django-dajaxice
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.1.0)
Breaks: ${python:Breaks}
Description: agnostic and easy to use AJAX library for django
 Easy to use AJAX library for django, all the presentation logic
 resides outside the views and doesn't require any JS Framework.
 Dajaxice uses the unobtrusive standard-compliant (W3C) XMLHttpRequest
 1.0 object.

## dajaxice 0.2

=== debian/changelog ===
dajaxice (0.2-2) unstable; urgency=low

  * Email change: Angel Abad -> angel@debian.org.
  * debian/copyright:
    - Update years for debian/*.
    - Update format to copyright-format 1.0.
  * debian/control:
    - Switch package to git VCS.
    - Remove DM-Upload-Allowed field.
    - Remove X-Python-Version.
  * Bump debhelper compatibility level to 8.
  * Bump Standards-Version to 3.9.3 (no changes).
  * Add Sphinx html documentation

 -- Angel Abad <angel@debian.org>  Wed, 27 Jun 2012 14:55:28 +0200

dajaxice (0.2-1) unstable; urgency=low

  * New upstream release
  * Bump python-django Depends to 1.1.4
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Angel Abad <angelabad@gmail.com>  Wed, 13 Jul 2011 09:25:55 +0200

dajaxice (0.1.8.1-2) unstable; urgency=low

  * Team upload
  * No change rebuild for python transition

 -- Scott Kitterman <scott@kitterman.com>  Wed, 20 Apr 2011 03:00:44 -0400

=== debian/control ===
Source: dajaxice
Section: python
Priority: optional
Maintainer: Angel Abad <angel@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8),
 python-all (>= 2.6.6-3),
 python-sphinx (>= 1.0.7+dfsg),
 python-django (>= 1.1.4)
Standards-Version: 3.9.3
Homepage: http://wiki.github.com/jorgebastida/django-dajaxice
Vcs-Git: git://anonscm.debian.org/collab-maint/dajaxice.git
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/dajaxice.git

Package: python-django-dajaxice
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends},
 python-django (>= 1.1.4)
Description: agnostic and easy to use AJAX library for django
 Easy to use AJAX library for django, all the presentation logic
 resides outside the views and doesn't require any JS Framework.
 Dajaxice uses the unobtrusive standard-compliant (W3C) XMLHttpRequest
 1.0 object.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@ --with sphinxdoc,python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_installdocs:
	sphinx-build docs build/sphinx/html
	dh_installdocs

=== debian/watch ===
version=3
http://githubredir.debian.net/github/jorgebastida/django-dajaxice/ (.*).tar.gz

## dajaxice 0.5.2

=== debian/changelog ===
dajaxice (0.5.2-1) unstable; urgency=low

  * Imported Upstream version 0.5.2
  * debian/watch: Now uses pypi for new releases
  * debian/patches/01_setuptools: Use setuptools instead of distutils
  * debian/rules:
    - Build documentation with build_spinx target
    - Install upstream changelog from docs/changelog.rst
  * debian/docs: Remove README
  * debian/lintian-overrides: Override nested-examples-directory
  * debian/copyright:
    - Update upstream email
    - Update upstream years
    - Update Source URL
  * debian/control:
    - Build-Depends on python-setuptools
    - Bump python-django Depend version to >= 1.3
    - Update Vcs- fields
    - Update Homepage
  * Bump Standards-Version to 3.9.4 (no changes)

 -- Angel Abad <angel@debian.org>  Wed, 26 Sep 2012 23:37:35 +0200

=== debian/control ===
Source: dajaxice
Section: python
Priority: optional
Maintainer: Angel Abad <angel@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8),
 python-setuptools (>= 0.6b3),
 python-all (>= 2.6.6-3),
 python-sphinx (>= 1.0.7+dfsg),
 python-django (>= 1.3)
Standards-Version: 3.9.4
Homepage: http://dajaxproject.com
Vcs-Git: git://git.debian.org/collab-maint/dajaxice.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dajaxice.git

Package: python-django-dajaxice
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends},
 python-django (>= 1.3)
Description: agnostic and easy to use AJAX library for django
 Easy to use AJAX library for django, all the presentation logic
 resides outside the views and doesn't require any JS Framework.
 Dajaxice uses the unobtrusive standard-compliant (W3C) XMLHttpRequest
 1.0 object.

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,8 @@
 	rm -rf build
 
 override_dh_installdocs:
-	sphinx-build docs build/sphinx/html
+	python setup.py build_sphinx
 	dh_installdocs
+
+override_dh_installchangelogs:
+	dh_installchangelogs docs/changelog.rst

## dajaxice 0.5.5

=== debian/changelog ===
dajaxice (0.5.5-2) unstable; urgency=low

  * debian/control: Switch python-sphinx to B-D again because it is
    needed in the clean target.

 -- Angel Abad <angel@debian.org>  Tue, 19 Feb 2013 11:35:43 +0100

dajaxice (0.5.5-1) unstable; urgency=low

  * Imported Upstream version 0.5.5
  * debian/control:
    - Fix Build-Depends-Indep field
    - Change Vcs-Git to canonical URI
  * debian/copyright: Update debian years

 -- Angel Abad <angel@debian.org>  Fri, 25 Jan 2013 11:07:37 +0100

dajaxice (0.5.4.1-1) unstable; urgency=low

  * Imported Upstream version 0.5.4.1

 -- Angel Abad <angel@debian.org>  Thu, 20 Dec 2012 11:05:54 +0100

dajaxice (0.5.4-1) unstable; urgency=low

  * Imported Upstream version 0.5.4

 -- Angel Abad <angel@debian.org>  Fri, 30 Nov 2012 18:02:28 +0100

dajaxice (0.5.3-1) unstable; urgency=low

  * debian/rules: Remove egg directory in clean
  * Imported Upstream version 0.5.3

 -- Angel Abad <angel@debian.org>  Mon, 26 Nov 2012 10:32:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends: debhelper (>= 8),
  python-setuptools (>= 0.6b3),
  python-all (>= 2.6.6-3),
- python-sphinx (>= 1.0.7+dfsg),
- python-django (>= 1.3)
+ python-sphinx (>= 1.0.7+dfsg)
+Build-Depends-Indep: python-django (>= 1.3)
 Standards-Version: 3.9.4
 Homepage: http://dajaxproject.com
-Vcs-Git: git://git.debian.org/collab-maint/dajaxice.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/dajaxice.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dajaxice.git
 
 Package: python-django-dajaxice

## dajaxice 0.6

=== debian/changelog ===
dajaxice (0.6-1) unstable; urgency=medium

  * Imported Upstream version 0.6 (Closes: #740282)
  * Bump Standards-Version to 3.9.5 (no changes)
  * debian/copyright: Update copyright years

 -- Angel Abad <angel@debian.org>  Tue, 18 Mar 2014 00:06:43 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python-all (>= 2.6.6-3),
  python-sphinx (>= 1.0.7+dfsg)
 Build-Depends-Indep: python-django (>= 1.3)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://dajaxproject.com
 Vcs-Git: git://anonscm.debian.org/collab-maint/dajaxice.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dajaxice.git

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/d/django-dajaxice/django-dajaxice-([\d.]*)\.tar.gz

## dajaxice 0.7

=== debian/changelog ===
dajaxice (0.7-1) unstable; urgency=medium

  * Imported Upstream version 0.7 (Closes: #755587)
  * debian/copyright: Update license names
  * Declare compliance with Debian Policy 3.9.6.

 -- Angel Abad <angel@debian.org>  Mon, 06 Oct 2014 08:54:24 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python-all (>= 2.6.6-3),
  python-sphinx (>= 1.0.7+dfsg)
 Build-Depends-Indep: python-django (>= 1.3)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://dajaxproject.com
 Vcs-Git: git://anonscm.debian.org/collab-maint/dajaxice.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dajaxice.git

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,9 @@
 	dh  $@ --with sphinxdoc,python2
 
 override_dh_auto_clean:
+	rm -rf django_dajaxice.egg-info
+	rm -rf build
 	dh_auto_clean
-	rm -rf build
 
 override_dh_installdocs:
 	python setup.py build_sphinx
